=== debian/changelog ===
webkit (1~svn30907-1maemo1) unstable; urgency=low

  * New upstream snapshot
  * Removed all Qt packages
  * Removed build-dep on Qt, decrease build-dep on libcurl
  * Replaced rules with a CDBS on

 -- Johan Bilien <jobi@via.ecp.fr>  Sun, 09 Mar 2008 17:58:42 +0200

webkit (0~svn27674-4) unstable; urgency=low

  * debian/rules: Revert change from 0~svn27674-3, which was obviously not
    enough.
  * WebKit.pro: Don't build testkjs, that provokes the s390 FTBFSes ; we don't
    install it anyways. Closes: #466848.
  * JavaScriptCore/kjs/interpreter.cpp, JavaScriptCore/wtf/ASCIICType.h,
    WebCore/dom/Position.cpp, WebCore/editing/Selection.cpp,
    WebCore/editing/SelectionController.cpp,
    WebCore/editing/VisiblePosition.cpp,
    WebCore/ksvg2/svg/SVGFontFaceElement.cpp,
    WebCore/loader/FTPDirectoryParser.cpp,
    WebCore/loader/icon/IconDatabase.cpp,
    WebCore/platform/TextCodecLatin1.cpp,
    WebCore/platform/TextCodecUserDefined.cpp,
    WebCore/platform/TextStream.cpp,
    WebCore/platform/image-decoders/jpeg/JPEGImageDecoder.cpp: Fix FTBFS with
    gcc 4.3 due to missing includes. Closes: #455125.

 -- Mike Hommey <glandium@debian.org>  Thu, 21 Feb 2008 23:01:12 +0100

webkit (0~svn27674-3) unstable; urgency=low

  * debian/rules: Work around #466613 (FTBFS on s390) by building a little bit
    less optimized (-O1). Thanks to Josselin Mouette.
  * debian/control:
    - Add Vcs-Browser and Vcs-Git fields, and turn Homepage indications in
      descriptions into a control field.
    - Bumped Standards-Version to 3.7.3.0. No changes.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Feb 2008 21:49:33 +0100

webkit (0~svn27674-2) unstable; urgency=low

  * JavaScriptCore/JavaScriptCore.pri: cherry-picked change from revision
    28692 to fix FTBFS due to lack of -lpthread on the linker command line.
  * debian/control: Add dependencies on necessary development packages
    (essentially for header files) to our own development packages.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Dec 2007 11:04:47 +0100

webkit (0~svn27674-1) unstable; urgency=low

  * New upstream snapshot
  * debian/copyright: Updated to fit additions/removals of files upstream.
  * debian/control: Make libwebkitgtk-dev conflict with the old
    libwebkitgdk-dev. Closes: #449001.
  * debian/rules: Bump qtwebkit shlibs.
  * WebKit/qt/Api/qwebpage.cpp: cherry-picked change from revision 27904 to
    fix crashes when an event is caught outside of the webkit frame in Qt.
    This occurred, for example, when hovering over the QtLauncher toolbar.

 -- Mike Hommey <glandium@debian.org>  Mon, 19 Nov 2007 23:10:38 +0100

webkit (0~svn26044-1) unstable; urgency=low

  * New upstream snapshot
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Bump qtwebkit shlibs, and remove versioning on the webkitgtk ones,
      as the library is new.
  * debian/copyright: Updated to fit additions/removals of files upstream.
  * debian/control, debian/rules, debian/libwebkitgtk-dev.install,
    debian/libwebkitgtk0d.install: Replace occurences of gdk by gtk, and
    rename libwebkitgdk*, to fit upstream rename of the Gtk port.
    Closes: #445060.

 -- Mike Hommey <glandium@debian.org>  Fri, 05 Oct 2007 00:05:06 +0200

webkit (0~svn25144-2) unstable; urgency=low

  * JavaScriptCore/wtf/Platform.h:
    - Also test if __arm__ is defined, which should fix the FTBFS on arm.
    - Use better defines for our various arm ports.
  * JavaScriptCore/kjs/ustring.h, WebCore/platform/DeprecatedString.h: Use
    these new defines. Thanks Riku Voipio.
  * debian/control: Build depend on Qt >= 4.3. Thanks Hubert Figuiere.
    Closes: #439672.
  * debian/rules: Explicitely use qmake-qt4 instead of qmake to avoid build
    failures when qt3-dev-tools is installed. Thanks Michael Biebl.
    Closes: #441007.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Sep 2007 08:12:21 +0200

webkit (0~svn25144-1) unstable; urgency=low

  * New upstream snapshot
  * debian/copyright: Updated so as to fit what we actually remove (there were
    missing removals previously, which were not appropriate for the most
    anyways), and to fit the additions/removals of files upstream.
  * JavaScriptCore/wtf/TCSpinLock.h: Work around an FTBFS on PPC due to a
    probable regression in gcc (#438415).
  * debian/rules:
    + Change the place we install QtLauncher from, since it moved.
    + Set binary packages' shlibs correctly.
    + Use $(CURDIR) variable more safely to avoid problem with build
      directories with spaces.
  * WebKitQt/Plugins/Plugins.pro: Build plugins with hidden symbols, so that
    they don't expose unwanted symbols.

 -- Mike Hommey <glandium@debian.org>  Sun, 19 Aug 2007 15:54:12 +0200

webkit (0~svn24735-1) unstable; urgency=low

  * Initial release. (Closes: #428855)

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Aug 2007 14:19:46 +0200
