=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 5.0), libgtk2.0-dev, libicu-dev, libxslt-dev, libcurl3-dev, libsqlite3-dev, gperf, bison
Standards-Version: 3.7.3.0
Homepage: http://webkit.org/
Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git

Package: libwebkitgtk-1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkitgtk-dev
Section: libdevel
Priority: extra
Architecture: all
Depends: libwebkitgtk-1.0 (>= ${source:Upstream-Version}), libglib2.0-dev, libgtk2.0-dev
Conflicts: libwebkitgdk-dev
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkitgtk-1.0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0 (= ${binary:Version})
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.
