## webkit 1.0-svn41137-14

=== debian/changelog ===
webkit (1.0-svn41137-14) unstable; urgency=high

    * Fix for Mer crash.

 -- Bundyo <bundyo@gmail.com>  Tue, 12 Aug 2009 19:30:00 +0200

webkit (1.0-svn41137-13) unstable; urgency=high

    * Popup menu population enchancements.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Jul 2009 19:30:00 +0200
 

webkit (1.0-svn41137-12) unstable; urgency=high

    * Applied Adam Dingle's GTK+ DOM bindings patch.

 -- Bundyo <bundyo@gmail.com>  Tue, 19 Jul 2009 00:12:00 +0200
 

webkit (1.0-svn41137-11) unstable; urgency=high

    * Enabled AppCache.
    * Removed vfp and softfp optimization switches.

 -- Bundyo <bundyo@gmail.com>  Tue, 01 Jul 2009 02:20:00 +0200
 

webkit (1.0-svn41137-10) unstable; urgency=high

    * Applied Titanium patches.
    * Fixed the maxlength less by two chars issue.

 -- Bundyo <bundyo@gmail.com>  Tue, 01 Jul 2009 02:20:00 +0200

webkit (1.0-svn41137-9) unstable; urgency=high

    * Applied upstream patch to enable local storage.

 -- Bundyo <bundyo@gmail.com>  Tue, 26 May 2009 02:20:00 +0200

webkit (1.0-svn41137-8) unstable; urgency=high

    * Fix for slow loading resources after a while (cookies).

 -- Bundyo <bundyo@gmail.com>  Tue, 05 May 2009 02:20:00 +0200

webkit (1.0-svn41137-7) unstable; urgency=high

    * Fix for zoom_step.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Apr 2009 16:40:00 +0200

webkit (1.0-svn41137-6) unstable; urgency=high

    * Applied patch for user agent change support.

 -- Bundyo <bundyo@gmail.com>  Tue, 21 Apr 2009 01:35:00 +0200

webkit (1.0-svn41137-5) unstable; urgency=high

    * Removed resource request checks for testing.
    * Added XSLT support on request.

 -- Bundyo <bundyo@gmail.com>  Tue, 08 Apr 2009 01:00:00 +0200

webkit (1.0-svn41137-4) unstable; urgency=high

    * Changed the place where the resource request checks are done.

 -- Bundyo <bundyo@gmail.com>  Tue, 31 Mar 2009 09:00:00 +0200
 

webkit (1.0-svn41137-3) unstable; urgency=high

    * Fixed the badly applied 3rd hns' patch (The GMail crash).

 -- Bundyo <bundyo@gmail.com>  Tue, 30 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41137-2) unstable; urgency=high

    * No optimizations. 770 compatible.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 21:00:00 +0200
 

webkit (1.0-svn41137-1) unstable; urgency=high

    * Update from upstream.
    * Built with Nokia 770 optimizations.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41128-2) unstable; urgency=high

    * Menu popup hack removed.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41128-1~hns-2) unstable; urgency=low

    * Fix input method issues with hildon on-screen keyboard

 -- Hannes Wallnoefer <hannesw@gmail.com>  Tue, 24 Mar 2009 15:08:11 +0100

webkit (1.0-svn41128-1) unstable; urgency=high

    * Update from upstream.
    * Menu popup hack.

 -- Bundyo <bundyo@gmail.com>  Tue, 23 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn41071-1) unstable; urgency=high

    * Update from upstream.

 -- Bundyo <bundyo@gmail.com>  Tue, 20 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn40663-1) unstable; urgency=high

    * Update from upstream.

 -- Bundyo <bundyo@gmail.com>  Tue, 06 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn40419-1) unstable; urgency=high

    * Handling text/plain MIME types as downloads - like Mozilla does.
    * Different way to get the Content-Length - CURL doesn't seem to do it.

 -- Bundyo <bundyo@gmail.com>  Tue, 31 Jan 2009 22:00:00 +0200

webkit (1.0-svn40239-3) unstable; urgency=high

    * Changed some dependencies to allow installation on Chinook.

 -- Bundyo <bundyo@gmail.com>  Tue, 28 Jan 2009 23:30:00 +0200

webkit (1.0-svn40239-2) unstable; urgency=high

    * Switched on some optimizations.

 -- Bundyo <bundyo@gmail.com>  Tue, 27 Jan 2009 03:00:00 +0200

webkit (1.0-svn40239-1) unstable; urgency=high

    * Updated to 40239.

 -- Bundyo <bundyo@gmail.com>  Tue, 27 Jan 2009 01:00:00 +0200

webkit (1.0-svn40080-1) unstable; urgency=high

    * Updated to 40080.

 -- Bundyo <bundyo@gmail.com>  Tue, 22 Jan 2009 01:00:00 +0200
 

webkit (1.0-svn39682-1) unstable; urgency=high

    * Updated to 39682.

 -- Bundyo <bundyo@gmail.com>  Tue, 09 Jan 2009 23:00:00 +0200
 

webkit (1.0-svn39572-1) unstable; urgency=high

    * Patch for unicode handling with GLib.
    * Patch for download support.
    * Patch for inspect support.
    * Maemo PASSWORD input field support with INVISIBLE input mode.
    * Web inspector files included in package.

 -- Bundyo <bundyo@gmail.com>  Tue, 04 Jan 2009 20:00:00 +0200

webkit (1.0-svn39572) unstable; urgency=high

    * Packaged for Maemo. No changes from SVN 39572.

 -- Bundyo <bundyo@gmail.com>  Tue, 03 Jan 2009 20:57:48 +0200
