=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: webkit
 Priority: optional
-Section: web
-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 5.0), libgtk2.0-dev, libicu-dev, libxslt-dev, libcurl3-dev, libsqlite3-dev, gperf, bison
-Standards-Version: 3.7.3.0
+Section: user/other
+Uploaders: Bundyo <bundyo@gmail.com>
+Maintainer: Bundyo <bundyo@gmail.com>
+Build-Depends: debhelper (>= 5.0), libgtk2.0-dev (>= 2.10), libpango1.0-dev (>= 1.16), libxslt-dev, libcurl3-dev, libsqlite3-dev, bison, flex, libjpeg62-dev, libpng12-dev, autoconf, automake, libtool, libxt-dev
+Standards-Version: 3.8.0.1
 Homepage: http://webkit.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
-Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git
 
-Package: libwebkitgtk-1.0
-Section: libs
+Package: libwebkit-1.0-1
+Section: user/other
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Web content engine library for Gtk+
@@ -23,11 +21,11 @@
  .
  This is the library for embedding in Gtk+ applications.
 
-Package: libwebkitgtk-dev
+Package: libwebkit-dev
 Section: libdevel
 Priority: extra
 Architecture: all
-Depends: libwebkitgtk-1.0 (>= ${source:Upstream-Version}), libglib2.0-dev, libgtk2.0-dev
+Depends: libwebkit-1.0-1 (>= ${source:Upstream-Version}), libgtk2.0-dev
 Conflicts: libwebkitgdk-dev
 Description: Web content engine library for Gtk+ - Development files
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
@@ -40,11 +38,11 @@
  This package provides development files required to create Gtk+ applications
  embedding WebKit.
 
-Package: libwebkitgtk-1.0-dbg
+Package: libwebkit-1.0-1-dbg
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: libwebkitgtk-1.0 (= ${binary:Version})
+Depends: libwebkit-1.0-1 (= ${binary:Version})
 Description: Web content engine library for Gtk+ - Debugging symbols
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
