=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=en_US

CFLAGS = -g -Wall

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
#-mfpu=vfp -mfloat-abi=softfp
else
        CFLAGS += -O0
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
        CFLAGS += -Wl,--no-relax
endif

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	# comment out next line for fast rebuilds
	rm -rf build

	rm -f GNUmakefile.in INSTALL README aclocal.m4 aconfig.h.in compile config.guess config.sub configure depcomp install-sh ltmain.sh missing
	rm -rf autom4te.cache

	dh_clean

build: build-stamp

build-stamp:
	dh_testdir

#	CPPFLAGS="-DMOBILE=1"
	[ ! -d build ] && mkdir build || true
	cd build && \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CFLAGS)" \
	CC="gcc -Wl,--as-needed" \
	CXX="g++ -Wl,--as-needed" \
	../autogen.sh --prefix=/usr \
	--with-hildon \
	--with-unicode-backend=glib \
	--disable-dashboard-support \
	--enable-optimizations \
	--enable-workers \
	--with-http-backend=curl \
	--enable-video \
	--enable-offline-web-applications \
	--enable-database \
	--enable-icon-database \
	--enable-fast-malloc \
	--with-pic 
	
#	--host arm-unknown-linux-gnueabi

	$(MAKE) -j6 -C build

	touch $@

install: install-stamp

install-stamp: build-stamp
	dh_testdir
	dh_testroot

	dh_clean -k

	$(MAKE) -j6 -C build install DESTDIR="$(CURDIR)"/debian/tmp
	[ ! -d debian/tmp/usr/lib/webkit-1.0/libexec ] && install -d -m 755 debian/tmp/usr/lib/webkit-1.0/libexec || true
	build/libtool --mode=install install -m 755 build/Programs/DumpRenderTree "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0/libexec/DumpRenderTree
	build/libtool --mode=install install -m 755 build/Programs/GtkLauncher "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0/libexec/GtkLauncher

	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i

	- maemo-optify

	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	# dh_strip -a --dbg-package=libwebkit-1.0-1
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libwebkit-1.0-1 (>= 1.0)' -- -c4
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a

	- maemo-optify

	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean install binary binary-indep binary-arch
