## webkit 1.2.4

=== debian/changelog ===
webkit (1.2.4-1ubuntu1) maverick; urgency=low

  * Resync on Debian, 
    remaining changes:
  * debian/control:
    - don't build-depends on gir-repository-dev it's not required
  * debian/patches/ubuntu-gir-version.patch:
    - use the current gobject introspection abi

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 16:48:11 +0200

webkit (1.2.4-1) unstable; urgency=high

  * New stable release
  - fixes the following CVEs (thus urgency=high):

      CVE-2010-1781 CVE-2010-1782 CVE-2010-1784 CVE-2010-1785
      CVE-2010-1786 CVE-2010-1787 CVE-2010-1788 CVE-2010-1790
      CVE-2010-1792 CVE-2010-1793 CVE-2010-2648

  * debian/patches/04-spoof-user-agent-to-google.patch:
  - updated from the latest patch proposed for inclusion upstream
  - does not have the annoying g_message() (Closes: #592670)

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 03 Sep 2010 17:52:14 -0300

webkit (1.2.3-2) unstable; urgency=low

  * debian/patches/04-spoof-user-agent-to-google.patch:
  - spoof User Agent when talking to Google servers;
    this should make Youtube HTML5 work again (Closes: #567311)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 10 Aug 2010 20:04:20 -0300

webkit (1.2.3-1) unstable; urgency=low

  * New upstream stable release
  - fixes building with ICU 4.4.1 (Closes: #589046)
  - all CVE patches included, so drop them

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 15 Jul 2010 18:33:04 -0300

webkit (1.2.2-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Turn direct source changes into a patch.
  * Fix cve-2010-1386: geolocation information disclosure.
  * Fix cve-2010-1392: possible code execution in html button logic.
  * Fix cve-2010-1405: possible code execution in vertical positioning logic.
  * Fix cve-2010-1407: iframe information disclosure.
  * Fix cve-2010-1416: svg cross-site information disclosure.
  * Fix cve-2010-1417: possible code execution in the css implementation (this
    is currently duplicated as cve-2010-1665 in mitre's cve database).
  * Fix cve-2010-1418: remote web script and/or html injection.
  * Fix cve-2010-1421: remote modification of clipboard contents.
  * Fix cve-2010-1422: keyboard focus hijack (this is duplicated as
    cve-2010-2295 in mitre's cve database).
  * Fix cve-2010-1501: add check to prevent cross-site request forgery (this
    may be duplicated as cve-2010-1767 in mitre's cve database).
  * Fix cve-2010-1664: possible code execution due to improper html5 media
    handling.
  * Fix cve-2010-1758: possible code execution in xml dom processor.
  * Fix cve-2010-1759: another possible code execution issue in the xml dom
    processor (this is duplicated as cve-2010-2300 in mitre's database).
  * Fix cve-2010-1760: user credential information disclosure.
  * Fix cve-2010-1761: possible code execution in frameview logic.
  * Fix cve-2010-1762: webscript and/or html injection using the textarea
    element (this is duplicated as cve-2010-2301 in mitre's database).
  * Fix cve-2010-1770: possible code execution due to improper handling of the
    ibm1147 character set.
  * Fix cve-2010-1771: possible code execution due to improper font handling
    (this is duplicated as cve-2010-2302 in mitre's database).
  * Fix cve-2010-1772: geolocation disconnectframe timer issue (this is
    duplicated as cve-2010-2303 in mitre's database).
  * Fix cve-2010-1773: integer overflow in alphabet conversion (this is
    duplicated as cve-2010-2304 and cve-2010-2441 in mitre's database)
    closes: #586547.
  * Fix cve-2010-1774: integer overflow in table layout handling (this is
    duplicated as cve-2010-2297 in mitre's database).

  [ Gustavo Noronha Silva ]
  * New upstream release
  - adds a new symbol, fixed symbols file to include it
  * debian/patches/01-fix-bashism-in-build.patch:
  - removed, no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 12 Jul 2010 15:23:17 -0300

webkit (1.2.1-2) unstable; urgency=high

  * debian/patches/01-fix-bashism-in-build.diff:
  - remove bashism from the code that handles Web Inspector files,
    that end up not being installed. (Closes: #581893)
  * Marking this release as urgency=high, given the 1.2.0 series was
    already well tested, and testing has a quite buggy version for some
    time now.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 17 May 2010 11:33:48 -0300

webkit (1.2.1-1) unstable; urgency=low

  [Michael Gilbert]
  * Convert to source format version 3.0 (quilt) to make it easier to support
    security backports in the future.
    - Create patches for existing debian modifications (sparc-support.patch
      and pool-fixup.patch)
  * Use ${misc:Depends}.
  * Bump standards to 3.8.4 (no changes required).

  [ Gustavo Noronha Silva ]
  * New upstream release
  - fixes SPARC build (Closes: #579472)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 May 2010 17:35:08 -0300

webkit (1.2.0-1) unstable; urgency=low

  * New upstream release - this is the first release in the 1.2 stable
    branch

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 07 Apr 2010 20:18:57 -0300

webkit (1.1.90-1) unstable; urgency=low

  * New upstream release
  - This marks the preparation for the 1.2 stable branch
  * debian/copyright:
  - updated with changes since 1.1.22
  * debian/libwebkit-1.0-2.symbols:
  - added new API introduced in 1.1.23

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 17 Mar 2010 15:05:11 -0300

webkit (1.1.22-1) unstable; urgency=low

  * New upstream release
  - Fixes crash with unknown content types in data:// URIs
    (Closes: #563695)
  - Sends Accept header for sub resources, which makes a few sites become
    happy again (Closes: #563736)
  * debian/copyright:
  - updated with changes since 1.1.21
  * debian/control:
  - replace gobject-introspection-repository, to avoid failures on upgrade
    (Closes: #563312)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 16 Feb 2010 11:55:07 -0200

webkit (1.1.21-2) unstable; urgency=low

  * debian/control:

