## webkit 1.2.5

=== debian/changelog ===
webkit (1.2.5-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for lucid to fix
    multiple security issues. (LP: #660075)
     - CVE-2010-1386, CVE-2010-1392, CVE-2010-1405, CVE-2010-1407
     - CVE-2010-1412, CVE-2010-1416, CVE-2010-1417, CVE-2010-1418
     - CVE-2010-1419, CVE-2010-1421, CVE-2010-1422, CVE-2010-1501
     - CVE-2010-1664, CVE-2010-1665, CVE-2010-1758, CVE-2010-1759
     - CVE-2010-1760, CVE-2010-1761, CVE-2010-1762, CVE-2010-1767
     - CVE-2010-1770, CVE-2010-1771, CVE-2010-1772, CVE-2010-1773
     - CVE-2010-1774, CVE-2010-1780, CVE-2010-1781, CVE-2010-1782
     - CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786
     - CVE-2010-1787, CVE-2010-1788, CVE-2010-1790, CVE-2010-1792
     - CVE-2010-1793, CVE-2010-1807, CVE-2010-1812, CVE-2010-1814
     - CVE-2010-1815, CVE-2010-2264, CVE-2010-2647, CVE-2010-2648
     - CVE-2010-3113, CVE-2010-3114, CVE-2010-3115, CVE-2010-3116
     - CVE-2010-3248, CVE-2010-3257, CVE-2010-3259
  * debian/patches/ubuntu-gir-version.patch: removed for lucid
  * debian/control: add gir-repository-dev back to build-depends for lucid

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Oct 2010 13:39:02 -0400
