=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 5.0),
               chrpath,
               libgtk2.0-dev (>= 2.10),
               libpango1.0-dev (>= 1.16),
               libicu-dev,
               libxslt-dev,
               libsoup2.4-dev (>= 2.29.90),
               libsqlite3-dev,
               gperf,
               bison,
               flex,
               libjpeg62-dev,
               libpng12-dev,
               libxt-dev,
               autotools-dev,
               libgstreamer-plugins-base0.10-dev,
               libenchant-dev,
               gtk-doc-tools,
               libgail-dev,
               libgirepository1.0-dev (>= 0.6.2),
               gir-repository-dev (>= 0.6.2),
               gobject-introspection (>= 0.6.2)
Standards-Version: 3.8.4
Homepage: http://webkit.org/
Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git

Package: libwebkit-1.0-2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libwebkit-1.0-common (>= ${source:Upstream-Version})
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkit-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libwebkit-1.0-2 (= ${binary:Version}), libgtk2.0-dev, libsoup2.4-dev (>= 2.27.91)
Replaces: gir-repository-dev, gobject-introspection-repository
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkit-1.0-common
Section: libs
Depends: ${misc:Depends}
Priority: optional
Architecture: all
Description: Web content engine library for Gtk+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkit-1.0-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libwebkit-1.0-2 (= ${binary:Version})
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.

Package: gir1.0-webkit-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the WebKit library
 This package contains introspection data for WebKit, a web content
 engine for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
