## webkit 1.2.7

=== debian/changelog ===
webkit (1.2.7-3) unstable; urgency=low

  * debian/patches/06-fix-null-dns-lookups.patch:
  - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
    Gratton <mike@vee.net> for the patch and Simon Paillard
    <spaillard@debian.org> for the investigation (Closes: #578019)
  * debian/control:
  - remove build-dependency on now unnecessary gir-repository-dev

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 28 Apr 2011 17:55:41 -0300

webkit (1.2.7-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Build a gir1.2 package.

  [ Gustavo Noronha Silva ]
  * debian/patches/07-fix-bad-merge-that-broke-gifs.patch:
  * debian/patches/08-fix-crash-for-big-shadowed-areas.patch:
  - Added patches from upstream to fix broken functionality and a crash

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 22 Mar 2011 20:29:05 -0300

webkit (1.2.7-1) unstable; urgency=high

  * Import new upstream security release.
  * Set DM-Upload-Allowed and add myself as an uploader.
  * Drop patches for cve-2010-2901 and cve-2010-4040 (included upstream now).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 19 Feb 2011 17:24:56 -0500

webkit (1.2.6-2) unstable; urgency=low

  * Acknowledge 1.2.5-2.1 NMU, thanks gregor! (Closes: #598956).

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 12 Jan 2011 09:33:46 -0200

webkit (1.2.6-1) unstable; urgency=high

  [ Michael Gilbert ]
  * fix cve-2010-1824: use-after-free issue in svg handling.
  * fix cve-2010-3254: integer overflow in websockets.
  * fix cve-2010-4040: buffer overflow in gif handling.
  * fix cve-2010-4042: element attribute mishandling.

  [ Gustavo Noronha Silva ]
  * New upstream release fixing the following CVEs:

      CVE-2010-4198 CVE-2010-4197 CVE-2010-4204 CVE-2010-4206
      CVE-2010-1791 CVE-2010-3812 CVE-2010-3813

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Jan 2011 09:44:19 -0200

webkit (1.2.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 05-fix-jit-on-kfreebsd-i386.patch by Petr Salinger and 
    Michael Dorrington: Fixes Javascript JIT crashing on kfreebsd-i386
    (closes: #598956).

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Nov 2010 23:28:55 +0100

webkit (1.2.5-2) unstable; urgency=high

  * Unapply 02-pool-fixup-and-sparc-support.patch and
    04-spoof-user-agent-to-google.patch in git.  This prevents the
    creation of an unwanted debian-changes patch.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 18 Oct 2010 22:00:36 -0400

webkit (1.2.5-1) unstable; urgency=high

  [ Gustavo Noronha Silva ]

  * New upstream release
  - fixes the following CVES:

      CVE-2010-1780 CVE-2010-3113 CVE-2010-1814 CVE-2010-1812
      CVE-2010-1815 CVE-2010-3115 CVE-2010-1807 CVE-2010-3114
      CVE-2010-3116 CVE-2010-3257 CVE-2010-3259

  [ Michael Gilbert ]
  * fix cve-2010-2646: security origin bypass using IFRAME elements.
  * fix cve-2010-2651: vulnerability in css style rendering.
  * fix cve-2010-2900: vulnerability with large canvas elements when using the
    SKIA library.
  * fix cve-2010-2901: vulnerability in the rendering implementation.
  * fix cve-2010-3120: vulnerability in geolocation feature.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 16 Oct 2010 17:50:56 -0300
