=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: webkit
 Priority: optional
 Section: web
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
+Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Gilbert <michael.s.gilbert@gmail.com>
 Build-Depends: debhelper (>= 5.0),
                chrpath,
                libgtk2.0-dev (>= 2.10),
@@ -23,10 +22,13 @@
                libenchant-dev,
                gtk-doc-tools,
                libgail-dev,
-               libgirepository1.0-dev (>= 0.6.2),
-               gir-repository-dev (>= 0.6.2),
-               gobject-introspection (>= 0.6.2)
+               libgirepository1.0-dev (>= 0.10.0),
+               gobject-introspection (>= 0.10.0),
+               gir1.2-glib-2.0,
+               gir1.2-gtk-2.0,
+               gir1.2-soup-2.4
 Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
 Homepage: http://webkit.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
 Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git
@@ -92,11 +94,12 @@
  .
  This package provides the debugging symbols for the Webkit library for Gtk+.
 
-Package: gir1.0-webkit-1.0
+Package: gir1.2-webkit-1.0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}
-Conflicts: gobject-introspection-repository
+Depends: ${misc:Depends}, ${gir:Depends}, ${shlibs:Depends}
+Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0
+Replaces: gir1.0-webkit-1.0
 Description: GObject introspection data for the WebKit library
  This package contains introspection data for WebKit, a web content
  engine for GTK+.
