=== debian/rules ===
--- 
+++ 
@@ -115,6 +115,7 @@
 	dh_makeshlibs -a -V 'libwebkit-1.0-2 (>= 1.1.90)' -- -c4
 	dh_installdeb -a
 	dh_shlibdeps -a
+	dh_girepository -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
